## NAME

d.text - Draws text in the active display frame on the graphics monitor using the current font.

## KEYWORDS

display, cartography

## SYNOPSIS

d.text
d.text help
d.text [-mpgbrsc] [text=string] [size=float] [color=string] [bgcolor=string] [line=integer] [at=x,y] [align=string] [rotation=float] [linespacing=float] [font=string] [path=string] [charset=string] [--verbose] [--quiet]

### Flags:

-m
  Use mouse to interactively place text
-p
  Screen position in pixels ([0,0] is top left)
-g
  Screen position in geographic coordinates
-b
  Use bold text
-r
  Use radians instead of degrees for rotation
-s
  Font size is height in pixels
-c
  Ignored (compatibility with d.text.freetype)
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

text=string
  Text to display
size=float
  Height of letters in percentage of available frame height
  Options: 0-100
  Default: 5
color=string
  Text color, either a standard GRASS color or R:G:B triplet
  Default: gray
bgcolor=string
  Text background color, either a standard GRASS color or R:G:B triplet
line=integer
  The screen line number on which text will begin to be drawn
  Options: 1-1000
at=x,y
  Screen position at which text will begin to be drawn (percentage, [0,0] is lower left)
align=string
  Text alignment
  Options: ll,lc,lr,cl,cc,cr,ul,uc,ur
  Default: ll
rotation=float
  Rotation angle in degrees (counter-clockwise)
  Default: 0
linespacing=float
  Line spacing
  Default: 1.25
font=string
  Font name
path=string
  Path to font file
charset=string
  Text encoding (only applicable to TrueType fonts)

## DESCRIPTION

d.text draws text in the active display frame on the graphics monitor. Text can be provided through standard input or redirected from a file (using the UNIX redirection mechanism). In addition to the options provided on the command line, colors, text size, font type, rotation angle, and boldness can be adjusted with commands in the standard input (i.e., if the user invokes d.text without options on the command line, and then assigns values to these options on lines within the standard input).

### Commands:

.C color
  (where color is one of the available colors) causes text appearing on subsequent lines to be drawn in that color.
.G color
  (where color is one of the available colors) causes the background of text appearing on subsequent lines to be drawn in that color.
.S size
  (where size is a percentage within the range 0 to 100) adjusts text size. Note that a size of 10 would allow 10 lines to be drawn in the active display frame, 5 would allow the drawing of 20 lines, and 50 would allow the drawing of 2 lines.

.F font
  (where font is one of the fonts known by the GRASS program d.font) manipulates the font type. Available fonts are listed in the GRASS manual entry for d.font. The default font type used (if unspecified by the user) is romans.
.R rotation
  (where rotation is an angle in degrees, counter-clockwise) to rotate the text.
.B 1
  stipulates that following text be printed in bold. This command means bold on.
.B 0
  turns bold off of all text appearing on lines beneath it. (Bold off is used by default, if unspecified by the user.)

## EXAMPLE

The following command will print the short phrase "This is a test of d.text" in the active display frame using the color yellow, in bold, and using 4/100'ths (4%) of the active frame's vertical space per line:

    d.text << EOF
    .C yellow
    .G grey
    .S 4
    .B 1
    This is a test of d.text
    EOF

The user presses control-d (the "Ctrl" and "d" keys) to end input to d.text (equal to EOF).

## NOTES

Note that the GRASS command d.title creates map TITLEs in a format suitable for input to d.text.

d.text needs escape sequences that can be used within lines to change colors, boldness, and perhaps size.

## SEE ALSO

d.font
d.font.freetype
d.title
d.text.freetype
d.labels

## AUTHOR

James Westervelt, U.S. Army Construction Engineering Research Laboratory

Updates by Huidae Cho

Last changed: $Date: 2011-11-08 12:29:50 +0100 (út, 08 XI 2011) $

Main index - display index - Full index

© 2003-2014 GRASS Development Team